summaryrefslogtreecommitdiffstats
path: root/security/nss/tests/common/certsetup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'security/nss/tests/common/certsetup.sh')
-rw-r--r--security/nss/tests/common/certsetup.sh21
1 files changed, 17 insertions, 4 deletions
diff --git a/security/nss/tests/common/certsetup.sh b/security/nss/tests/common/certsetup.sh
index 2b5cef840..ed026c40e 100644
--- a/security/nss/tests/common/certsetup.sh
+++ b/security/nss/tests/common/certsetup.sh
@@ -46,12 +46,25 @@ make_cert() {
rsapss_chain) type_args=(-g 1024);sign=(-c rsa_pss_ca);type=rsa;;
rsa_ca_rsapss_chain) type_args=(-g 1024 --pss-sign);sign=(-c rsa_ca);type=rsa;;
ecdh_rsa) type_args=(-q nistp256);sign=(-c rsa_ca);type=ec ;;
+ delegator_p256)
+ touch empty.txt
+ type_args=(-q nistp256 --extGeneric 1.3.6.1.4.1.44363.44:not-critical:empty.txt)
+ type=ec
+ ;;
+ delegator_rsae2048)
+ touch empty.txt
+ type_args=(-g 2048 --extGeneric 1.3.6.1.4.1.44363.44:not-critical:empty.txt)
+ type=rsa
+ ;;
esac
+ msg="create certificate: $@"
shift 2
counter=$(($counter + 1))
- certscript $@ | ${BINDIR}/certutil -S \
- -z ${R_NOISE_FILE} -d "${PROFILEDIR}" \
+ cmd=(${BINDIR}/certutil -S \
+ -z "$R_NOISE_FILE" -d "$PROFILEDIR" \
-n $name -s "CN=$name" -t "$trust" "${sign[@]}" -m "$counter" \
- -w -2 -v 120 -k "$type" "${type_args[@]}" "${sighash[@]}" -1 -2
- html_msg $? 0 "create certificate: $@"
+ -w -2 -v 120 -k "$type" "${type_args[@]}" "${sighash[@]}" -1 -2)
+ echo "${cmd[@]}"
+ certscript $@ | "${cmd[@]}"
+ html_msg $? 0 "$msg"
}